Blog
These API endpoints are related to blog posts on our list.
Gets all blog posts on the list in condensed form
Success
application/json- response
posts?array<>The list of blog posts on the blog
curl -X GET 'https://spider.omniplex.gg/blogs/@all'{ "posts": [ { "author": { "avatar": "string", "bot": true, "display_name": "string", "extra_data": { "property1": null, "property2": null }, "flags": [ "string" ], "id": "string", "status": "string", "username": "string" }, "created_at": "2019-08-24T14:15:22Z", "description": "string", "draft": true, "slug": "string", "tags": [ "string" ], "title": "string" } ]}Gets a blog posts on the list
slug*stringThe slug of the blog post
Success
application/json- response
author?The author of the blog post
content?stringThe content of the blog post in markdown format
created_at?stringThe time the blog post was created at
date-timedescription?stringThe summary/short description of the blog post
draft?booleanWhether the blog post is a draft or not (hidden or public)
slug?stringThe slug/vanity of the blog post
tags?array<>The tags of the blog post for filtering purposes
title?stringThe title of the blog post
curl -X GET 'https://spider.omniplex.gg/blogs/string'{ "author": { "avatar": "string", "bot": true, "display_name": "string", "extra_data": { "property1": null, "property2": null }, "flags": [ "string" ], "id": "string", "status": "string", "username": "string" }, "content": "string", "created_at": "2019-08-24T14:15:22Z", "description": "string", "draft": true, "slug": "string", "tags": [ "string" ], "title": "string"}Gets the minimal SEO information about a blogpost for embed/search purposes. Used by v4 website for meta tags
slug*stringThe slug of the blog post
Success
application/json- response
avatar?stringThe entities resolved avatar URL (not just hash)
id?stringID of the entity
name?stringName of the entity
short?stringShort description of the entity
vanity?stringThe entity's vanity code, used to build its canonical URL. Omitted when it has none
curl -X GET 'https://spider.omniplex.gg/blogs/string/seo'{ "avatar": "string", "id": "string", "name": "string", "short": "string", "vanity": "string"}